Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class ClassCompletionVerifier

**************************************************************************** Copyright (c) 2004 IBM Corporation and others. All rights reserved. This program and the accompanying materials are made available under the terms of the Common Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/cpl-v10.html Contributors: IBM - Initial API and implementation Groovy community - subsequent modifications ****************************************************************************

Field Summary
`ClassNode` | `currentClass`
`SourceUnit` | `source`

Constructor Summary
`ClassCompletionVerifier(SourceUnit source)`

Method Summary
`void` | `addErrorIfParamsAndReturnTypeEqual(def p2, def p1, MethodNode node, MethodNode element)`
`void` | `addInvalidUseOfFinalError(MethodNode method, def parameters, ClassNode superCN)`
`void` | `checkAbstractDeclaration(MethodNode methodNode)`
`void` | `checkClassForAbstractAndFinal(ClassNode node)`
`void` | `checkClassForIncorrectModifiers(ClassNode node)`
`void` | `checkClassForModifier(ClassNode node, boolean condition, String modifierName)`
`void` | `checkClassForOtherModifiers(ClassNode node)`
`void` | `checkClassForOverwritingFinal(ClassNode cn)`
`void` | `checkImplementsAndExtends(ClassNode node)`
`void` | `checkInterfaceFieldModifiers(FieldNode node)`
`void` | `checkMethodForModifier(MethodNode node, boolean condition, String modifierName)`
`void` | `checkMethodModifiers(MethodNode node)`
`void` | `checkMethodsForIncorrectModifiers(ClassNode cn)`
`void` | `checkMethodsForOverwritingFinal(ClassNode cn)`
`void` | `checkNoAbstractMethodsNonabstractClass(ClassNode node)`
`void` | `checkOverloadingPrivateAndPublic(MethodNode node)`
`void` | `checkRepetitiveMethod(MethodNode node)`
`ClassNode` | `getClassNode()`
`String` | `getDescription(ClassNode node)`
`String` | `getDescription(MethodNode node)`
`String` | `getDescription(FieldNode node)`
`SourceUnit` | `getSourceUnit()`
`boolean` | `hasEqualParameterTypes(def first, def second)`
`boolean` | `isConstructor(MethodNode method)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitCatchStatement(CatchStatement cs)`
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
`void` | `visitField(FieldNode node)`
`void` | `visitMethod(MethodNode node)`

Constructor Detail

### ClassCompletionVerifier

    public ClassCompletionVerifier(SourceUnit source)

Method Detail

### addErrorIfParamsAndReturnTypeEqual

    void addErrorIfParamsAndReturnTypeEqual(def p2, def p1, MethodNode node, MethodNode element)

### addInvalidUseOfFinalError

    void addInvalidUseOfFinalError(MethodNode method, def parameters, ClassNode superCN)

### checkAbstractDeclaration

    void checkAbstractDeclaration(MethodNode methodNode)

### checkClassForAbstractAndFinal

    void checkClassForAbstractAndFinal(ClassNode node)

### checkClassForIncorrectModifiers

    void checkClassForIncorrectModifiers(ClassNode node)

### checkClassForModifier

    void checkClassForModifier(ClassNode node, boolean condition, String modifierName)

### checkClassForOtherModifiers

    void checkClassForOtherModifiers(ClassNode node)

### checkClassForOverwritingFinal

    void checkClassForOverwritingFinal(ClassNode cn)

### checkImplementsAndExtends

    void checkImplementsAndExtends(ClassNode node)

### checkInterfaceFieldModifiers

    void checkInterfaceFieldModifiers(FieldNode node)

### checkMethodForModifier

    void checkMethodForModifier(MethodNode node, boolean condition, String modifierName)

### checkMethodModifiers

    void checkMethodModifiers(MethodNode node)

### checkMethodsForIncorrectModifiers

    void checkMethodsForIncorrectModifiers(ClassNode cn)

### checkMethodsForOverwritingFinal

    void checkMethodsForOverwritingFinal(ClassNode cn)

### checkNoAbstractMethodsNonabstractClass

    void checkNoAbstractMethodsNonabstractClass(ClassNode node)

### checkOverloadingPrivateAndPublic

    void checkOverloadingPrivateAndPublic(MethodNode node)

### checkRepetitiveMethod

    void checkRepetitiveMethod(MethodNode node)

### getClassNode

    public ClassNode getClassNode()

### getDescription

    String getDescription(ClassNode node)

### getDescription

    String getDescription(MethodNode node)

### getDescription

    String getDescription(FieldNode node)

### getSourceUnit

    SourceUnit getSourceUnit()

### hasEqualParameterTypes

    boolean hasEqualParameterTypes(def first, def second)

### isConstructor

    boolean isConstructor(MethodNode method)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement cs)

### visitClass

    public void visitClass(ClassNode node)

### visitConstructorCallExpression

    public void visitConstructorCallExpression(ConstructorCallExpression call)

### visitField

    public void visitField(FieldNode node)

### visitMethod

    public void visitMethod(MethodNode node)